summaryrefslogtreecommitdiff
path: root/source4/script/tests
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2006-05-07 11:15:52 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:05:40 -0500
commit985e70189e1a6690bb526391f1d3e3ed0cea3fa3 (patch)
tree83525bf65d1f283230d5be193c61d8c67d67164d /source4/script/tests
parent44c36af9b6d1f1ba74547d3671f75cb639c1f303 (diff)
downloadsamba-985e70189e1a6690bb526391f1d3e3ed0cea3fa3.tar.gz
samba-985e70189e1a6690bb526391f1d3e3ed0cea3fa3.tar.bz2
samba-985e70189e1a6690bb526391f1d3e3ed0cea3fa3.zip
r15486: Ensure that our Samba3-like implementation of fake-GSSAPI is tested.
This also tests that the server accepts the incorrect GSSAPI checksum, and that we get the right session key. Andrew Bartlett (This used to be commit 888e2b7f4ec8e50869d323e51f191e018f8620ec)
Diffstat (limited to 'source4/script/tests')
-rwxr-xr-xsource4/script/tests/test_session_key.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/source4/script/tests/test_session_key.sh b/source4/script/tests/test_session_key.sh
index 5dbb4052ee..80b735be16 100755
--- a/source4/script/tests/test_session_key.sh
+++ b/source4/script/tests/test_session_key.sh
@@ -46,4 +46,8 @@ for bindoptions in validate seal; do
name="RPC-SECRETS on $transport:$server[$bindoptions] with Kerberos (use target principal)"
testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -k yes -U"$username"%"$password" -W $domain "--option=clientusespnegoprincipal=yes" "--option=gensec:target_hostname=$netbios_name" RPC-SECRETS "$*" || failed=`expr $failed + 1`
done
+name="RPC-SECRETS on $transport:$server with Kerberos (use Samba3 style login)"
+ testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server" -k yes -U"$username"%"$password" -W $domain "--option=gensec:fake_gssapi_krb5=yes" "--option=gensec:gssapi_krb5=no" "--option=gensec:target_hostname=$netbios_name" RPC-SECRETS "$*" || failed=`expr $failed + 1`
+name="RPC-SECRETS on $transport:$server with Kerberos (use Samba3 style login, use target principal)"
+ testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server" -k yes -U"$username"%"$password" -W $domain "--option=clientusespnegoprincipal=yes" "--option=gensec:fake_gssapi_krb5=yes" "--option=gensec:gssapi_krb5=no" "--option=gensec:target_hostname=$netbios_name" RPC-SECRETS "$*" || failed=`expr $failed + 1`
testok $0 $failed